tigase.jaxmpp.core.client.xmpp.modules.registration

## Class InBandRegistrationModule.ReceivedRequestedFieldsHandler.ReceivedRequestedFieldsEvent

- java.lang.Object
- - tigase.jaxmpp.core.client.eventbus.Event<H>
  - - tigase.jaxmpp.core.client.eventbus.JaxmppEvent<InBandRegistrationModule.ReceivedRequestedFieldsHandler>
    - - tigase.jaxmpp.core.client.xmpp.modules.registration.InBandRegistrationModule.ReceivedRequestedFieldsHandler.ReceivedRequestedFieldsEvent

- Enclosing interface:
    InBandRegistrationModule.ReceivedRequestedFieldsHandler

      public static class InBandRegistrationModule.ReceivedRequestedFieldsHandler.ReceivedRequestedFieldsEvent
      extends JaxmppEvent<InBandRegistrationModule.ReceivedRequestedFieldsHandler>

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `sessionObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReceivedRequestedFieldsEvent(SessionObject sessionObject, IQ responseStanza, UnifiedRegistrationForm unifiedRegistrationForm)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispatch(InBandRegistrationModule.ReceivedRequestedFieldsHandler handler)` Invokes handlers method.
    `IQ` | `getResponseStanza()`
    `UnifiedRegistrationForm` | `getUnifiedRegistrationForm()`
    `void` | `setResponseStanza(IQ responseStanza)`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `getSessionObject`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.Event

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReceivedRequestedFieldsEvent

          public ReceivedRequestedFieldsEvent(SessionObject sessionObject,
                                              IQ responseStanza,
                                              UnifiedRegistrationForm unifiedRegistrationForm)

  - ### Method Detail

    - #### dispatch

          public void dispatch(InBandRegistrationModule.ReceivedRequestedFieldsHandler handler)

      Description copied from class: `Event`
      Invokes handlers method.
      Specified by:
        `dispatch` in class `Event<InBandRegistrationModule.ReceivedRequestedFieldsHandler>`
      Parameters:
        `handler` - handler

    - #### getResponseStanza

          public IQ getResponseStanza()

    - #### setResponseStanza

          public void setResponseStanza(IQ responseStanza)

    - #### getUnifiedRegistrationForm

          public UnifiedRegistrationForm getUnifiedRegistrationForm()

Copyright © 2006–2020 Tigase. All rights reserved.